#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'nonspk.title_daftar_paket'} #{/set}
<div class="container">
    <div class="content">
        <ul class="breadcrumb" style="background-color: #d9534f !important;">
            <li><a href="@{nonlelang.PaketPlCtr.rencanaNonSpk()}">&{'nonspk.title_daftar_paket'}</a></li>
            <li class="active">&{'nonspk.daftar_rencana_paket'}</li>
        </ul>
        <form id="formFilter">
            #{if paketId}
                <input type="hidden" name="paketId" value="${paketId}">
            #{/if}
            <table class="table table-sm table-bordered">
                <tr>
                    <th class="bgwarning" width="200">K/L/PD<span class="warning"> *</span></th>
                    <td>#{selectInstansi 'instansiId', value:instansiId /}
                        <a id="updateInstansi" href="javascript:void(0)" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
                        <div class="has-error">
                            <span id="alertInstansi" class="form-text" style="display: none">Pilih &{'instansi'} terlebih dahulu.</span>
                        </div>
                    </td>
                </tr>
                <tr>
                    <th class="bgwarning">Tahun Anggaran</th>
                    <td>#{selectTahunAnggaran 'tahun', value:tahun /}</td>
                </tr>
                <tr>
                    <th class="bgwarning">Satuan Kerja<span class="warning"> *</span></th>
                    <td>#{selectSatkerPusat 'satkerId', instansiId:instansiId, value:satkerId, tahun:tahun/}
                        <a id="updateSatker" href="javascript:void(0)" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
                        <div class="has-error">
                            <span id="alertSatker" class="form-text" style="display: none">Pilih &{'satker'} terlebih dahulu.</span>
                        </div>
                    </td>
                </tr>
                <tr>
                    <th class="bgwarning">Metode Pemilihan</th>
                    <td>#{selectPemilihanNonSpk 'metodepemilihan', value:metodePemilihan/}
                    </td>
                </tr>
                <tr></tr>
                <th></th>
                <td><a id="updatePaket" href="javascript:void(0)" class="btn btn-primary">&{'nonspk.update_rup'}</a></td>
            </table>
        </form>

        <div class="bs-callout bs-callout-warning">
            &{'nonspk.pembuatan_non_tender'}</b>.
        </div>
        <table class="table table-sm table-hover" id="tblLelang"></table>
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var viewPaket = #{jsRoute @nonlelang.PaketPlCtr.rencanaViewNonSpk(':id', paketId) /};
    var table = $("#tblLelang").DataTable({
    language: {
          "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
          processing:   "&{'menu.processing'}",
          "sSearch":       "&{'menu.ssearch'}",
          "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
          "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
    },
        order: [[ 0, "desc"]], ajax : '@{DataTableCtr.rencanaPaketNonPl(paketId, satkerId, tahun, metodePemilihan)}',
        columns: [{title:"&{'paket.kode_rup'}", width:"10%"},{title: "&{'paket.nama_paket'}", render: function(data, type, row) {
            var paketId = row[0];
            var paket = row[1];
            var status = row[2];
            row[0] = '<a class="dialog" title="&{'flash.informasi_rencana_pengadaan'}" href="'+viewPaket.url({id:paketId})+'">'+ paket +'</a>';
            return row[0];
        }},
            {title: "&{'paket.sumber_dana'}", width:"100"},
            {title: "&{'paket.metode_pemilihan_penyedia'}", width:"100"},
            {title: "&{'paket.pagu'}", width:"100"},
            {title: "&{'paket.tahun_anggaran'}", width:"100"},
        ]
    });
    $('#tblLelang_filter input').unbind();
    $('#tblLelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
    $(document).on('change', '#instansi', function(){
        var instansi_id=$(this).val();
        $.cookie("sirup_instansi_id", instansi_id , {expires:365, path:'${request.path}'});
        $('#formFilter').submit();
    });
    $(document).on('change', '#satker', function(){
        var satker_id=$("#satker").val();
        $.cookie("sirup_satker_id", satker_id, {expires:365, path:'${request.path}'});
        $('#formFilter').submit();
    });
    $(document).on('change', '#metodepemilihan', function(){
        var metodepemilihan=$("#metodepemilihan").val();
        $.cookie("sirup_metode_pemilihan", metodepemilihan, {expires:365, path:'${request.path}'});
        $('#formFilter').submit();
    });
    $(document).on('change', '#tahun', function(){
        var tahun=$("#tahun").val();
        $.cookie("sirup_tahun", tahun, {expires:365, path:'${request.path}'});
        $('#formFilter').submit();
    });
    $(document).on('click', '#updateInstansi', function(){
        console.log('update instansi');
        location.href='@{admin.UtilityCtr.update_instansi_pencatatan(paketId)}';
    });
    $(document).on('click', '#updateSatker', function(){
        console.log('update Satuan kerja dari instansi ${instansiId}');
        location.href='@{admin.UtilityCtr.update_satker_pencatatan(paketId, instansiId, tahun)}';
    });
    $(document).on('click', '#updatePaket', function(){
        $("#alertInstansi").hide();
        $("#alertSatker").hide();

        var instansiId = $("select[name='instansiId']").val();
        var satkerId = $("select[name='satkerId']").val();

        var valid = true;

        if(instansiId == null || instansiId == ""){
            $("#alertInstansi").show();
            valid = false;
        }

        if(satkerId == null || satkerId == ""){
            $("#alertSatker").show();
            valid = false;
        }

        if(valid){
            console.log('update paket dari satker ${satkerId}, tahun ${tahun}');
            location.href='@{admin.UtilityCtr.updatePaketNonSpkFromSirup(paketId, satkerId, tahun, metodeId)}';
        }
    });
</script>
#{/set}